/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.workflow.dto;

/**
 * @author yoshida
 *
 */
public class OverTimeRequestDto extends CtOvertimeRequestDto {
	
	private static final long	serialVersionUID	= 1215263638749790025L;
	
	private String				approverName		= "";
	private String				approvalStatus		= "";
	

	/**
	 * コンストラクタ
	 * @param dto 対象DTO
	 */
	public OverTimeRequestDto(CtOvertimeRequestDto dto) {
		setVoucher(dto.getVoucher());
		setWorkflow(dto.getWorkflow());
		setKCode(dto.getKCode());
		setRequestDate(dto.getRequestDate());
		setWorkDate(dto.getWorkDate());
		setOverTime(dto.getOverTime());
		setReason(dto.getReason());
		setDeleteFlag(dto.getDeleteFlag());
	}
	
	// アクセサメソッド
	/**
	 * @return approverName
	 */
	public String getApproverName() {
		return approverName;
	}
	
	/**
	 * @return approvalStatus
	 */
	public String getApprovalStatus() {
		return approvalStatus;
	}
	
	/**
	 * @param approverName approverName
	 */
	public void setApproverName(String approverName) {
		this.approverName = approverName;
	}
	
	/**
	 * @param approvalStatus approvalStatus
	 */
	public void setApprovalStatus(String approvalStatus) {
		this.approvalStatus = approvalStatus;
	}
	
}
